QGIS Application - Bug report #3676
Add option to specify field width when exporting ShapeFile
2011-03-24 05:27 AM - Ifedje -

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 13735
Description

I made the following post in the forum.

"l am new to QGIS so please bear with my ignorance.

I am using QGIS Version 1.6.0 on an iMac i7.

| created a Google Earth plotting of over 1000 properties with fairly long titles and substantial descriptions. One of my clients wants me
to provide them with a [[ShapeFile]] of their properties together with the text so that they can load it onto their existing GIS system.

This is what | have done so far:

| added a vector layer from a kml file | produced from Google Earth. The shapefile opens up just beautiful in QGIS and if I click on any
one of the properties (using the info icon) all of the pertinent information that I put info Google Earth shows up just fine in "identify
results". The problem that | am having is that when saving the shapefile ( Layer > Save As > ESRI Shapefile). The result when viewed
on my clients system is that the shapes show up perfectly but the text information is truncated. | took a look at the data in the dbf file and
find that all of the descriptions and names are shown as character,80.

Is there any way to increase the field size for name and description of the data being exported or is it just the nature of the program?
Any help with this would be greatly appreciated

Thanks in advance"

| followed this up with a ticket to GDAL wherein they have since responded. | placed their response in the following thread. Someone then
mentioned that | report this as a possible bug.

http://forum.qgis.org/viewtopic.php?f=2&#38;t=8259

Thanks

Loren

History

#1 - 2011-12-09 09:08 AM - Paolo Cavallini

- Subject changed from Exporting ShapeFile to Add option to specify field width when exporting ShapeFile
- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No
#2 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:27 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:38 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#6 - 2015-11-20 06:12 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Hello, bug triage...

in QGIS 2.13 you can export to a shapefile without characters limitation other than Shapefile format limit (254 characters max for a text attribute). I've made
test with some exports and there is no truncation after 80 characters.

| am closing this bug.
